> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v3/wallet/{id}



## OpenAPI

````yaml GET /v3/wallet/{id}
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v3/wallet/{id}:
    get:
      tags:
        - wallet
      summary: get wallet by id
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
        - in: query
          name: expand
          explode: false
          schema:
            $ref: '#/components/schemas/WalletExpandV2'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletV3'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  schemas:
    WalletExpandV2:
      type: array
      items:
        type: string
        enum:
          - currency
          - transferSourceWalletId
          - transferTargetWalletId
    WalletV3:
      allOf:
        - $ref: '#/components/schemas/BaseWalletV3'
        - type: object
          properties:
            permissions:
              type: object
              properties:
                canPay:
                  type: boolean
                canTopUp:
                  type: boolean
                canTopUpFromWallet:
                  type: boolean
                canCurrencyExchange:
                  type: boolean
                canCardCreate:
                  type: boolean
                canCardChipAndPinOrder:
                  type: boolean
                canCardVirtualOrder:
                  type: boolean
                canCardDisposableOrder:
                  type: boolean
                canClose:
                  type: boolean
                canExportPDF:
                  type: boolean
                canExportCSV:
                  type: boolean
                canExportXML:
                  type: boolean
                canCryptoBuy:
                  type: boolean
                  example: false
                canCryptoSell:
                  type: boolean
                  example: false
            currency:
              type: object
              properties:
                id:
                  type: string
                name:
                  type: string
            transferSourceWalletId:
              type: array
              readOnly: true
              items:
                type: integer
            transferTargetWalletId:
              type: array
              readOnly: true
              items:
                type: integer
    BaseWalletV3:
      type: object
      properties:
        id:
          type: integer
        uuid:
          type: string
        balance:
          type: number
        balanceLock:
          number: number
        balanceInProgress:
          type: number
        currencyId:
          type: string
          maxLength: 3
        description:
          type: string
          maxLength: 255
        data:
          oneOf:
            - type: object
              properties:
                type:
                  type: string
                  example: BANK
                accountId:
                  type:
                    - string
                    - 'null'
                details:
                  type: array
                  items:
                    type: object
            - type: object
              properties:
                type:
                  type: string
                  example: CARD
                count:
                  type:
                    - object
                    - 'null'
                countV2:
                  type:
                    - object
                    - 'null'
        flags:
          type: object
          properties:
            isVisible:
              type: boolean
            isFavourite:
              type: boolean
        status:
          type: string
          enum:
            - ACTIVE
            - BLOCKED
        color:
          type: string
          maxLength: 7
        name:
          type: string
        updatedAt:
          type: integer
          example: 1722000000000
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Bad Request
              message:
                type: string
              status:
                type: integer
                example: 400
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Not Found
              message:
                type: string
                example: The requested resource could not be found.
              status:
                type: integer
                example: 404
          example:
            status: ERROR
            error:
              code: 404
              message: Not Found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````